# NFTokenMintFlagsInterface | xrpl
Documentation for xrpl

# Interface NFTokenMintFlagsInterface

Map of flags to boolean values representing NFTokenMint transaction flags.

#### Hierarchy

- GlobalFlags
  - NFTokenMintFlagsInterface

- Defined in packages/xrpl/src/models/transactions/NFTokenMint.ts:48

#####
Index

### Properties

tfBurnable?
tfOnlyXRP?
tfTransferable?
tfTrustLine?

## Properties

### `Optional` tfBurnable

tfBurnable?: boolean

- Defined in packages/xrpl/src/models/transactions/NFTokenMint.ts:49

### `Optional` tfOnlyXRP

tfOnlyXRP?: boolean

- Defined in packages/xrpl/src/models/transactions/NFTokenMint.ts:50

### `Optional` tfTransferable

tfTransferable?: boolean

- Defined in packages/xrpl/src/models/transactions/NFTokenMint.ts:52

### `Optional` tfTrustLine

tfTrustLine?: boolean

- Defined in packages/xrpl/src/models/transactions/NFTokenMint.ts:51

Generated using TypeDoc